## owncloud-client 5.2.1.13040%2Bdfsg

=== shell_integration/CMakeLists.txt ===
if (APPLE)
  add_subdirectory(MacOSX)
endif()

if(BUILD_SHELL_INTEGRATION_ICONS)
  add_subdirectory(icons)
endif()

if(MSVC)
  add_subdirectory(windows)
endif()
