=== debian/control ===
Source: owncloud-client
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Pierre-Elliott Bécue <peb@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
	       cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkdsingleapplication-qt6-dev,
               libre-graph-api-cpp-qt-client (>= 1.0.4-2~exp1),
               libsqlite3-dev,
               libxkbcommon-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qtkeychain-qt6-dev,
               zlib1g-dev
Vcs-Git: https://salsa.debian.org/owncloud-team/owncloud-client.git
Vcs-Browser: https://salsa.debian.org/owncloud-team/owncloud-client
Standards-Version: 4.6.0
Homepage: https://owncloud.org/sync-clients/

Package: owncloud-client
Architecture: any
Multi-Arch: no
Depends: libowncloudsync0t64 (= ${binary:Version}),
         libqt6sql6-sqlite,
         libqt6svg6,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: owncloud-client-doc
Breaks: owncloud-client-l10n (<= 2.6.3.14058+dfsg-1.1)
Replaces: owncloud-client-l10n (<= 2.6.3.14058+dfsg-1.1)
Description: folder synchronization with an ownCloud server - GUI
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 owncloud-client provides the graphical client specialising in
 synchronizing with cloud storage provided by ownCloud.

Package: libowncloudsync0t64
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libowncloudsync0, libocsync0
Breaks: libowncloudsync0 (<< ${source:Version}), libocsync0
Section: libs
Description: ownCloudSync folder synchronization - libraries
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This library is based on CSync, but adds functions that are missing in
 CSync and more specific to graphical clients.

Package: libowncloudsync-dev
Architecture: any
Multi-Arch: same
Depends: libowncloudsync0t64 (= ${binary:Version}), ${misc:Depends}
Replaces: libocsync-dev
Breaks: libocsync-dev
Section: libdevel
Description: development files for owncloudsync
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package contains the library development files.

Package: owncloud-client-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ownCloudSync folder synchronization - shared data
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides data that is shared between different packages.

Package: owncloud-client-cmd
Architecture: any
Depends: libowncloudsync0t64 (= ${binary:Version}),
         libqt6sql6-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Description: folder synchronization with an ownCloud server - cmd client
 The ownCloudSync system lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the command line client specialising in
 synchronizing with cloud storage provided by ownCloud.
