=== debian/changelog ===
owncloud-client (5.2.1.13040+dfsg-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:11:37 +1100

owncloud-client (5.2.1.13040+dfsg-2) unstable; urgency=medium

  * d/control:
    - Add a dependency on libqt6svg6 which was missing.

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 22 Mar 2024 11:57:41 +0100

owncloud-client (5.2.1.13040+dfsg-1) unstable; urgency=medium

  * Release to unstable

 -- Pierre-Elliott Bécue <peb@debian.org>  Fri, 08 Mar 2024 17:37:31 +0100

owncloud-client (5.2.1.13040+dfsg-1~exp2) experimental; urgency=medium

  * Drop d/nemo-owncloud.install

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 21 Feb 2024 14:30:56 +0100

owncloud-client (5.2.1.13040+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.1.13040+dfsg

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 15 Feb 2024 18:35:12 +0100

owncloud-client (5.2.0.12726+dfsg-1) unstable; urgency=medium

  * New upstream release 5.2.0.12726+dfsg
    - Plugins for nautlius, nemo and caga were extracted from the package

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 09 Jan 2024 15:12:56 +0100

owncloud-client (4.2.0.11670+dfsg-1) unstable; urgency=medium

  * New upstream release 4.2.0.11670+dfsg
    (Closes: #1052645, #1037411)

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 26 Sep 2023 17:06:45 +0200
