=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: owncloud-client
 Section: net
 Priority: optional
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5),
-	       cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
                libkdsingleapplication-qt6-dev,
@@ -23,7 +23,7 @@
 Package: owncloud-client
 Architecture: any
 Multi-Arch: no
-Depends: libowncloudsync0t64 (= ${binary:Version}),
+Depends: libowncloudsync0 (= ${binary:Version}),
          libqt6sql6-sqlite,
          libqt6svg6,
          ${misc:Depends},
@@ -41,13 +41,12 @@
  owncloud-client provides the graphical client specialising in
  synchronizing with cloud storage provided by ownCloud.
 
-Package: libowncloudsync0t64
-Provides: ${t64:Provides}
+Package: libowncloudsync0
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libowncloudsync0, libocsync0
-Breaks: libowncloudsync0 (<< ${source:Version}), libocsync0
+Replaces: libocsync0
+Breaks: libocsync0
 Section: libs
 Description: ownCloudSync folder synchronization - libraries
  The ownCloudSync system lets you always have your latest files wherever
@@ -62,7 +61,7 @@
 Package: libowncloudsync-dev
 Architecture: any
 Multi-Arch: same
-Depends: libowncloudsync0t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libowncloudsync0 (= ${binary:Version}), ${misc:Depends}
 Replaces: libocsync-dev
 Breaks: libocsync-dev
 Section: libdevel
@@ -90,7 +89,7 @@
 
 Package: owncloud-client-cmd
 Architecture: any
-Depends: libowncloudsync0t64 (= ${binary:Version}),
+Depends: libowncloudsync0 (= ${binary:Version}),
          libqt6sql6-sqlite,
          ${misc:Depends},
          ${shlibs:Depends}
