=== debian/watch ===
version=4
options=dversionmangle=s/\+dfsg//,uversionmangle=s/-?(beta|alpha|rc)/~$1/,repacksuffix=+dfsg,pgpsigurlmangle=s/$/.asc/ \
https://attic.owncloud.com/desktop/ownCloud/stable/latest/source/ ownCloud-(.*)\.tar\.(?:bz2|xz)
