=== src/libsync/graphapi/CMakeLists.txt ===
target_sources(libsync PRIVATE
        jobs/drives.cpp
        space.cpp
        spacesmanager.cpp)
