=== src/plugins/vfs/off/CMakeLists.txt ===
add_vfs_plugin(NAME off SRC vfs_off.cpp)
