=== debian/changelog ===
owncloud-client (5.3.2.15463+dfsg-1) unstable; urgency=medium

  * New upstream release 5.3.2.15463+dfsg
  * Add patch 0006-Fix-Qt-6.8-build.patch to fix Qt6.8 build (Closes:
    #1100249)
  * d/copyright: refreshed
  * d/control: Bump Standards-Version to 4.7.2

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 22 Mar 2025 01:18:31 +0100

owncloud-client (5.2.1.13040+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rename libraries for 64-bit time_t transition (Closes: #1063190)

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 09 Jul 2024 16:25:57 +0200
