=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: owncloud-client
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>
-Build-Depends: cmake,
+Build-Depends: dpkg-dev (>= 1.22.5),
+               cmake,
                debhelper-compat (= 13),
                extra-cmake-modules,
                libkdsingleapplication-qt6-dev,
@@ -17,13 +17,13 @@
                zlib1g-dev
 Vcs-Git: https://salsa.debian.org/owncloud-team/owncloud-client.git
 Vcs-Browser: https://salsa.debian.org/owncloud-team/owncloud-client
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://owncloud.org/sync-clients/
 
 Package: owncloud-client
 Architecture: any
 Multi-Arch: no
-Depends: libowncloudsync0 (= ${binary:Version}),
+Depends: libowncloudsync0t64 (= ${binary:Version}),
          libqt6sql6-sqlite,
          libqt6svg6,
          ${misc:Depends},
@@ -41,12 +41,13 @@
  owncloud-client provides the graphical client specialising in
  synchronizing with cloud storage provided by ownCloud.
 
-Package: libowncloudsync0
+Package: libowncloudsync0t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libocsync0
-Breaks: libocsync0
+Replaces: libowncloudsync0, libocsync0
+Breaks: libowncloudsync0 (<< ${source:Version}), libocsync0
 Section: libs
 Description: ownCloudSync folder synchronization - libraries
  The ownCloudSync system lets you always have your latest files wherever
@@ -61,7 +62,7 @@
 Package: libowncloudsync-dev
 Architecture: any
 Multi-Arch: same
-Depends: libowncloudsync0 (= ${binary:Version}), ${misc:Depends}
+Depends: libowncloudsync0t64 (= ${binary:Version}), ${misc:Depends}
 Replaces: libocsync-dev
 Breaks: libocsync-dev
 Section: libdevel
@@ -89,7 +90,7 @@
 
 Package: owncloud-client-cmd
 Architecture: any
-Depends: libowncloudsync0 (= ${binary:Version}),
+Depends: libowncloudsync0t64 (= ${binary:Version}),
          libqt6sql6-sqlite,
          ${misc:Depends},
          ${shlibs:Depends}
